Package com.sun.jna.platform.unix

# Class X11.XDeviceByReference

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.XDeviceByReference

All Implemented Interfaces:
  `Structure.ByReference`

Enclosing interface:
  X11

@FieldOrder({"device_id","num_classes","classes"}) public static class X11.XDeviceByReference extends Structure implements Structure.ByReference

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`X11.XInputClassInfoByReference`
`classes`
`X11.XID`
`device_id`
`int`
`num_classes`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`XDeviceByReference()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### device_id

public X11.XID device_id

### num_classes

public int num_classes

### classes

public X11.XInputClassInfoByReference classes

## Constructor Details

### XDeviceByReference

public XDeviceByReference()